"{ Package: 'stx:libscm/git' }"

SharedPool subclass:#GitSubmoduleStatusType
	instanceVariableNames:''
	classVariableNames:'SUBMODULE_STATUS_IN_HEAD SUBMODULE_STATUS_IN_INDEX
		SUBMODULE_STATUS_IN_CONFIG SUBMODULE_STATUS_IN_WD
		SUBMODULE_STATUS_INDEX_ADDED SUBMODULE_STATUS_INDEX_DELETED
		SUBMODULE_STATUS_INDEX_MODIFIED SUBMODULE_STATUS_WD_UNINITIALIZED
		SUBMODULE_STATUS_WD_ADDED SUBMODULE_STATUS_WD_DELETED
		SUBMODULE_STATUS_WD_MODIFIED SUBMODULE_STATUS_WD_INDEX_MODIFIED
		SUBMODULE_STATUS_WD_WD_MODIFIED SUBMODULE_STATUS_WD_UNTRACKED'
	poolDictionaries:''
	category:'SCM-Git-Core-Internal-Constants'
!


!GitSubmoduleStatusType class methodsFor:'initialization'!

initialize

    SUBMODULE_STATUS_IN_HEAD := 1.
    SUBMODULE_STATUS_IN_INDEX := 2.
    SUBMODULE_STATUS_IN_CONFIG := 4.
    SUBMODULE_STATUS_IN_WD := 8.
    SUBMODULE_STATUS_INDEX_ADDED := 16.
    SUBMODULE_STATUS_INDEX_DELETED := 32.
    SUBMODULE_STATUS_INDEX_MODIFIED := 64.
    SUBMODULE_STATUS_WD_UNINITIALIZED := 128.
    SUBMODULE_STATUS_WD_ADDED := 256.
    SUBMODULE_STATUS_WD_DELETED := 512.
    SUBMODULE_STATUS_WD_MODIFIED := 1024.
    SUBMODULE_STATUS_WD_INDEX_MODIFIED := 2048.
    SUBMODULE_STATUS_WD_WD_MODIFIED := 4096.
    SUBMODULE_STATUS_WD_UNTRACKED := 8192.
! !

!GitSubmoduleStatusType class methodsFor:'constants'!

SUBMODULE_STATUS_INDEX_ADDED

    ^SUBMODULE_STATUS_INDEX_ADDED
!

SUBMODULE_STATUS_INDEX_DELETED

    ^SUBMODULE_STATUS_INDEX_DELETED
!

SUBMODULE_STATUS_INDEX_MODIFIED

    ^SUBMODULE_STATUS_INDEX_MODIFIED
!

SUBMODULE_STATUS_IN_CONFIG

    ^SUBMODULE_STATUS_IN_CONFIG
!

SUBMODULE_STATUS_IN_HEAD

    ^SUBMODULE_STATUS_IN_HEAD
!

SUBMODULE_STATUS_IN_INDEX

    ^SUBMODULE_STATUS_IN_INDEX
!

SUBMODULE_STATUS_IN_WD

    ^SUBMODULE_STATUS_IN_WD
!

SUBMODULE_STATUS_WD_ADDED

    ^SUBMODULE_STATUS_WD_ADDED
!

SUBMODULE_STATUS_WD_DELETED

    ^SUBMODULE_STATUS_WD_DELETED
!

SUBMODULE_STATUS_WD_INDEX_MODIFIED

    ^SUBMODULE_STATUS_WD_INDEX_MODIFIED
!

SUBMODULE_STATUS_WD_MODIFIED

    ^SUBMODULE_STATUS_WD_MODIFIED
!

SUBMODULE_STATUS_WD_UNINITIALIZED

    ^SUBMODULE_STATUS_WD_UNINITIALIZED
!

SUBMODULE_STATUS_WD_UNTRACKED

    ^SUBMODULE_STATUS_WD_UNTRACKED
!

SUBMODULE_STATUS_WD_WD_MODIFIED

    ^SUBMODULE_STATUS_WD_WD_MODIFIED
! !

!GitSubmoduleStatusType class methodsFor:'documentation'!

version_GIT
    "Never, ever change this method. Ask JV or CG why"
    ^thisContext method mclass theNonMetaclass instVarNamed: #revision
!

version_SVN
    ^ '$Id$'
! !

GitSubmoduleStatusType initialize!
